package com.lukouguoji.gnc.page.shouyun.details

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.gnc.R
import com.lukouguoji.gnc.databinding.ActivityGncShouYunDetailsBinding
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.common.Constant

class GncShouYunDetailsActivity :
    BaseBindingActivity<ActivityGncShouYunDetailsBinding, GncShouYunDetailsViewModel>() {

    override fun layoutId() = R.layout.activity_gnc_shou_yun_details

    override fun viewModelClass() = GncShouYunDetailsViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("开始收运")
        viewModel.initOnCreated(intent)
        binding.viewModel = viewModel
    }

    companion object {
        @JvmStatic
        fun start(context: Context, waybill: String) {
            val starter = Intent(context, GncShouYunDetailsActivity::class.java)
                .putExtra(Constant.Key.WAYBILL, waybill)
            context.startActivity(starter)
        }
    }

}